NcVarReader <- function(file_path = NULL, file_object = NULL, 
                        file_selectors = NULL, var_name = NULL) {
  if (!is.null(file_object)) {
    file_to_read <- file_object
  } else if (!is.null(file_path)) {
    file_to_read <- file_path
  } else {
    stop("Either 'file_path' or 'file_object' must be provided.")
  }

  if (any(c('var', 'variable') %in% names(file_selectors))) {
    drop_var_dim <- TRUE
  } else {
    drop_var_dim <- FALSE
  }

  easyNCDF::NcToArray(file_to_read, vars_to_read = var_name, 
                      drop_var_dim = drop_var_dim)
}
